Bug 1308755 - ospd-7 tempest.scenario.test_network_basic_ops.TestNetworkBasicOps.test_network_basic_ops failing for floating ip allocation timeout
ospd-7 tempest.scenario.test_network_basic_ops.TestNetworkBasicOps.test_netwo...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 10.0 (Newton)
Assigned To: Angus Thomas
Shai Revivo
: Automation, AutomationBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 18:51 EST by Steve Linabery
Modified: 2016-10-14 12:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-14 12:43:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Linabery 2016-02-15 18:51:17 EST
Description of problem:
CI run against puddle has been failing on the single_nic_vlan_ipv6 variant of this job.

Dan Sneddon poked at a local environment for me last week and wondered if we were setting up the vlans correctly, but I don't think he found any smoking gun.

I'm only pasting the last few lines of the copious tempest output/stacktrace here:
2016-02-13 18:38:28,604 7593 INFO     [tempest_lib.common.rest_client] Request (TestNetworkBasicOps:_run_cleanups): 204 DELETE http://[2001:db8:fd00:1000::10]:9696/v2.0/security-group-rules/89958751-7a19-4844-8cd3-d866b682a52e 0.094s
2016-02-13 18:38:28,604 7593 DEBUG    [tempest_lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'date': 'Sat, 13 Feb 2016 23:38:28 GMT', 'status': '204', 'connection': 'close', 'content-length': '0', 'x-openstack-request-id': 'req-9427b26c-58a4-40e4-a701-6c3b412be0fe'}
        Body: 
2016-02-13 18:38:28,690 7593 INFO     [tempest_lib.common.rest_client] Request (TestNetworkBasicOps:_run_cleanups): 204 DELETE http://[2001:db8:fd00:1000::10]:9696/v2.0/security-group-rules/3dbeb875-d3f2-47f9-9628-57e545a249d2 0.085s
2016-02-13 18:38:28,690 7593 DEBUG    [tempest_lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'date': 'Sat, 13 Feb 2016 23:38:28 GMT', 'status': '204', 'connection': 'close', 'content-length': '0', 'x-openstack-request-id': 'req-32b2bfce-5951-4880-a347-e61a401591fa'}
        Body: 
2016-02-13 18:38:28,793 7593 INFO     [tempest_lib.common.rest_client] Request (TestNetworkBasicOps:_run_cleanups): 204 DELETE http://[2001:db8:fd00:1000::10]:9696/v2.0/security-groups/bb8df045-da7b-4801-9644-a34d69acadec 0.102s
2016-02-13 18:38:28,794 7593 DEBUG    [tempest_lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'date': 'Sat, 13 Feb 2016 23:38:28 GMT', 'status': '204', 'connection': 'close', 'content-length': '0', 'x-openstack-request-id': 'req-0adc34b9-922e-46c6-a79e-528ff79c3b48'}
        Body: 
2016-02-13 18:38:28,924 7593 INFO     [tempest_lib.common.rest_client] Request (TestNetworkBasicOps:_run_cleanups): 404 GET http://[2001:db8:fd00:1000::10]:8774/v2/c8cfd86e71134327be1f4b7507279164/servers/38a8497a-fb67-4299-b505-0eefa7260b8b 0.130s
2016-02-13 18:38:28,925 7593 DEBUG    [tempest_lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '404', 'content-length': '111', 'x-compute-request-id': 'req-c0b846ec-7f0f-40d3-b491-1fdfd4c615d1', 'connection': 'close', 'date': 'Sat, 13 Feb 2016 23:38:28 GMT', 'content-type': 'application/json; charset=UTF-8'}
        Body: {"itemNotFound": {"message": "Instance 38a8497a-fb67-4299-b505-0eefa7260b8b could not be found.", "code": 404}}
}}}

Traceback (most recent call last):
  File "/home/stack/tempest/tempest/test.py", line 126, in wrapper
    return f(self, *func_args, **func_kwargs)
  File "/home/stack/tempest/tempest/scenario/test_network_basic_ops.py", line 395, in test_network_basic_ops
    self.check_public_network_connectivity(should_connect=True)
  File "/home/stack/tempest/tempest/scenario/test_network_basic_ops.py", line 207, in check_public_network_connectivity
    self.servers)
  File "/home/stack/tempest/tempest/scenario/manager.py", line 499, in check_public_network_connectivity
    should_connect=should_connect)
  File "/home/stack/tempest/tempest/scenario/manager.py", line 483, in check_vm_connectivity
    msg=msg)
  File "/usr/lib64/python2.7/unittest/case.py", line 462, in assertTrue
    raise self.failureException(msg)
AssertionError: Timed out waiting for 172.16.23.47 to become reachable
Comment 4 Mike Burns 2016-04-07 17:11:06 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 6 Jaromir Coufal 2016-10-11 09:39:29 EDT
Seems like Networking or Tempest issue.
Comment 7 Assaf Muller 2016-10-14 12:43:29 EDT
Please re-open if relevant.

Note You need to log in before you can comment on or make changes to this bug.